#define F_CPU 8000000

void ioInit(void);
#define CHAN_RED 0
#define CHAN_GREEN 1
#define CHAN_BLUE 2

//0x80=1.1V ref, 0x00=5V ref
#define MUX_BASE 0x80
#define MUX_CHAN_RED (MUX_BASE|0x1B)
#define MUX_CHAN_GREEN (MUX_BASE|0x11)
#define MUX_CHAN_BLUE (MUX_BASE|0x09)

int getCurrent(char chan);
void setCurrentFor(char chan, unsigned int val);


#define AD_RSHUNT (0.22)
#define AD_VCC (5)
#define MA2ADC(x) (((x*AD_RSHUNT)/(AD_VCC))*1024)
