/*
Firmware for a wireless RGB LED-bulb implemented in an ATTiny44.
(C) 2009 Jeroen Domburg (jeroen AT spritesmods.com)

This program is free software: you can redistribute it and/or modify
t under the terms of the GNU General Public License as published by
the Free Software Foundation, either version 3 of the License, or
(at your option) any later version.
	    
This program is distributed in the hope that it will be useful,
but WITHOUT ANY WARRANTY; without even the implied warranty of
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
GNU General Public License for more details.
			    
You should have received a copy of the GNU General Public License
along with this program.  If not, see <http://www.gnu.org/licenses/>.
*/

#include "io.h"
#include "rf.h"
#include <avr/interrupt.h>
#include <util/delay.h>


int main(void) {
    //Init IO
    int x=0;
    ioInit();
    rfInit();

   	setCurrentFor(0, 512);
   	setCurrentFor(1, 512);
   	setCurrentFor(2, 512);
    
	while(1) {
		sei();
/*
		setCurrentFor(0, 1023);
		setCurrentFor(1, 0);
		setCurrentFor(2, 0);
    	for (int n=0; n<200; n++) _delay_ms(1);
		setCurrentFor(0, 0);
		setCurrentFor(1, 1023);
		setCurrentFor(2, 0);
    	for (int n=0; n<200; n++) _delay_ms(1);
		setCurrentFor(0, 0);
		setCurrentFor(1, 0);
		setCurrentFor(2, 1023);
    	for (int n=0; n<200; n++) _delay_ms(1);
*/
	}
}
